import request from '@/utils/request'

// 查询PMS入库订单列表
export function listAppPmsOrderInbak(query) {
  return request({
    url: '/system/appPmsOrderInbak/list',
    method: 'get',
    params: query
  })
}

// 查询PMS入库订单详细
export function getAppPmsOrderInbak(id) {
  return request({
    url: '/system/appPmsOrderInbak/' + id,
    method: 'get'
  })
}

// 新增PMS入库订单
export function addAppPmsOrderInbak(data) {
  return request({
    url: '/system/appPmsOrderInbak',
    method: 'post',
    data: data
  })
}

// 修改PMS入库订单
export function updateAppPmsOrderInbak(data) {
  return request({
    url: '/system/appPmsOrderInbak',
    method: 'put',
    data: data
  })
}

// 删除PMS入库订单
export function delAppPmsOrderInbak(id) {
  return request({
    url: '/system/appPmsOrderInbak/' + id,
    method: 'delete'
  })
}
